Subject: Intel fw82546eb dual server card with kernel 2.6.8 and 2.6.5

From: Nathaniel Haggard <[email-masked]>
Date: Tue, 14 Sep 2004 11:30:48 -0600

"ifconfig eth0 up" where eth0 is an Intel FW82546EB dual server card
makes the machine freeze on both 2.6.5 gentoo SMP and 2.6.8 gentoo SMP
kernels.  The 2.6.8 kernel produces this error message before
freezing:

CPU 2: Machine Check Exception: 0000000000000004

The machine is a dual xeon 2.8 GHz.

The .config file for the 2.6.5 kernel is attached.

The card still works and I can assign it an ip via
/etc/init.d/net.eth3 (which uses ifconfig too).  Right now the machine
is fine and I can't get it to panic the kernel, but I was able to
panic the kernel 5 consecutive times before this.

Maybe the network card was not seated properly?

What are your recommendations for shooting this trouble?

Thanks,
Nate